import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationDirectionSchema } from '../enums/CommunicationDirection.schema'

const nestedenumcommunicationdirectionfilterSchema = z.object({
  equals: CommunicationDirectionSchema.optional(),
  in: CommunicationDirectionSchema.array().optional(),
  notIn: CommunicationDirectionSchema.array().optional(),
  not: z.union([CommunicationDirectionSchema, z.lazy(() => NestedEnumCommunicationDirectionFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumCommunicationDirectionFilterObjectSchema: z.ZodType<Prisma.NestedEnumCommunicationDirectionFilter> = nestedenumcommunicationdirectionfilterSchema as unknown as z.ZodType<Prisma.NestedEnumCommunicationDirectionFilter>;
export const NestedEnumCommunicationDirectionFilterObjectZodSchema = nestedenumcommunicationdirectionfilterSchema;
